libstdc++: std::atomic< unsigned short > Struct Reference

libstdc++

std::atomic< unsigned short > Struct Reference
Atomics

`#include <atomic>`

## Public Types
typedef __atomic_base< unsigned short > | __base_type
typedef unsigned short | __integral_type
using | value_type

## Public Member Functions
constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (unsigned short &__e, unsigned short __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (unsigned short &__e, unsigned short __i, memory_order __s, memory_order __f) noexcept
unsigned short | exchange (unsigned short __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
unsigned short | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator unsigned short () const noexcept
| operator unsigned short () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (unsigned short __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for unsigned short.

Definition at line 841 of file atomic.

## Member Typedef Documentation

## ◆ __base_type

typedef __atomic_base<unsigned short> std::atomic< unsigned short >::__base_type

Definition at line 844 of file atomic.

## ◆ __integral_type

typedef unsigned short std::atomic< unsigned short >::__integral_type

Definition at line 843 of file atomic.

## ◆ value_type

using std::atomic< unsigned short >::value_type

Definition at line 202 of file atomic.

## Constructor & Destructor Documentation

## ◆ atomic()

std::atomic< unsigned short >::atomic | ( | __integral_type | __i | ) |
| inlineconstexprnoexcept

Definition at line 852 of file atomic.

## Member Function Documentation

## ◆ compare_exchange_strong()

bool std::atomic< unsigned short >::compare_exchange_strong | ( | unsigned short & | __e,
|  | unsigned short | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 383 of file atomic.

## ◆ compare_exchange_weak()

bool std::atomic< unsigned short >::compare_exchange_weak | ( | unsigned short & | __e,
|  | unsigned short | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 355 of file atomic.

## ◆ exchange()

unsigned short std::atomic< unsigned short >::exchange | ( | unsigned short | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 332 of file atomic.

## ◆ is_lock_free()

bool std::atomic< unsigned short >::is_lock_free | ( |  | ) | const
| inlinenoexcept

Definition at line 277 of file atomic.

## ◆ load()

unsigned short std::atomic< unsigned short >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const
| inlinenoexcept

Definition at line 314 of file atomic.

## ◆ operator unsigned short() [1/2]

std::atomic< unsigned short >::operator unsigned short | ( |  | ) | const
| inlinenoexcept

Definition at line 262 of file atomic.

## ◆ operator unsigned short() [2/2]

std::atomic< unsigned short >::operator unsigned short | ( |  | ) | const volatile
| inlinenoexcept

Definition at line 265 of file atomic.

## ◆ store()

void std::atomic< unsigned short >::store | ( | unsigned short | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 298 of file atomic.

The documentation for this struct was generated from the following file:

- atomic